--- C:/downloads/pure_zend/Mail/Transport/Abstract.php	Tue Jan 05 21:05:10 2010
+++ C:/downloads/14/Zend/Mail/Transport/Abstract.php	Sat Jul 31 20:44:06 2010
@@ -343,7 +343,22 @@
         $message->setParts($this->_parts);
         $message->setMime($mime);
         $this->body = $message->generateMessage($this->EOL);
-
+        
+        if(($signature = $mail->getSignature()) !== null) {
+            $signedMessage = $signature->signMessage($this->header . Zend_Mime::LINEEND . Zend_Mime::LINEEND . $this->body);
+            $this->_prepareHeaders(array_merge($this->_getHeaders($boundary),$signedMessage['headers']));
+            
+            $this->body = $signedMessage['body'];
+        }
+        
+        if(($encryption = $mail->getEncryption()) !== null) {
+            $headers = $this->_getHeaders($boundary);
+            
+            $encryptedMessage = $encryption->encryptMessage($this->header . Zend_Mime::LINEEND . Zend_Mime::LINEEND . $this->body);
+            $this->_prepareHeaders(array_merge($this->_getHeaders($boundary),$encryptedMessage['headers']));
+            
+            $this->body = $encryptedMessage['body'];
+        }
         // Send to transport!
         $this->_sendMail();
     }
