--- C:/downloads/pure_zend/Mail.php	Sun Jan 31 03:06:30 2010
+++ C:/downloads/14/Zend/Mail.php	Sat Jul 31 21:34:09 2010
@@ -96,6 +96,18 @@
      * @var string
      */
     protected $_from = null;
+    
+    /**
+     * S/MIME Signature
+     * @var Zend_Mail_Encryption_SMIME
+     */
+    protected $_signature = null;
+    
+    /**
+     * S/MIME Encryption
+     * @var Zend_Mail_Encryption_SMIME
+     */
+    protected $_encryption = null;
 
     /**
      * To: addresses
@@ -224,7 +236,47 @@
     {
         return $this->_charset;
     }
-
+    
+    /**
+     * Return S/MIME Signature
+     *
+     * @return Zend_Mail_Encryption_SMIME
+     */
+    public function getSignature()
+    {
+        return $this->_signature;
+    }
+    
+    /**
+     * Return S/MIME Encryption
+     *
+     * @return Zend_Mail_Encryption_SMIME
+     */
+    public function getEncryption()
+    {
+        return $this->_encryption;
+    }
+    
+    /**
+     * Set S/MIME Signature
+     *
+     * @return void
+     */
+    public function setSignature(Zend_Mail_Encryption_SMIME $singnature)
+    {
+        $this->_signature = $singnature;
+    }
+    
+    /**
+     * Set S/MIME Encryption
+     *
+     * @return void
+     */
+    public function setEncryption(Zend_Mail_Encryption_SMIME $encryption)
+    {
+        $this->_encryption = $encryption;
+    }
+    
     /**
      * Set content type
      *
@@ -240,6 +292,7 @@
             Zend_Mime::MULTIPART_ALTERNATIVE,
             Zend_Mime::MULTIPART_MIXED,
             Zend_Mime::MULTIPART_RELATED,
+            Zend_Mime::MULTIPART_SIGNED,
         );
         if (!in_array($type, $allowed)) {
             /**
